Bug 194373 - [MAINTAINER] security/logcheck: update to 1.3.17 and pet portlint
Summary: [MAINTAINER] security/logcheck: update to 1.3.17 and pet portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-15 05:07 UTC by Yasuhiro Kimura
Modified: 2014-11-06 10:52 UTC (History)
1 user (show)

See Also:


Attachments
Pet portlint. (2.19 KB, patch)
2014-10-15 05:07 UTC, Yasuhiro Kimura
no flags Details | Diff
Update to 1.3.17 (3.62 KB, patch)
2014-10-27 01:30 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch. (3.63 KB, patch)
2014-11-03 03:51 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch. (3.58 KB, patch)
2014-11-03 08:38 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2014-10-15 05:07:34 UTC
Created attachment 148330 [details]
Pet portlint.
Comment 1 Yasuhiro Kimura freebsd_committer 2014-10-27 01:30:35 UTC
Created attachment 148684 [details]
Update to 1.3.17

New upstream version 1.3.17 is released. So please commit updated patch instead of original one.

Regards.
Comment 2 John Marino freebsd_committer 2014-11-01 13:16:03 UTC
I would like to see all the "${INSTALL} -d " lines combined into a single "@${MKDIR}" line that has one directory per line (separated by ending \)

Is there a reason not to do that?
Comment 3 Yasuhiro Kimura freebsd_committer 2014-11-02 01:26:47 UTC
(In reply to John Marino from comment #2)
> I would like to see all the "${INSTALL} -d " lines combined into a single
> "@${MKDIR}" line that has one directory per line (separated by ending \)
> 
> Is there a reason not to do that?

I used "${INSTALL} -d" simply because it was already used when I take maintainership of this port. So I'm willing to change it if it is better.
Comment 4 John Marino freebsd_committer 2014-11-02 13:16:01 UTC
I would prefer that you convert the install -d commands to a single mkdir command for the sake of consistency.
Comment 5 Yasuhiro Kimura freebsd_committer 2014-11-03 03:51:48 UTC
Created attachment 148971 [details]
Updated patch.

Patch is updated so multiple "${INSTALL} -d" lines are concatenated to single ${MKDIR} one. So please commit updated patch instead of previous ones.

Regards.
Comment 6 John Marino freebsd_committer 2014-11-03 07:01:56 UTC
Thanks, much better.

this line isn't needed:
${GZIP_CMD} ${STAGEDIR}${MAN8PREFIX}/man/man8/$i

If the man page is uncompressed, the framework will compress it for you.
Can you remove it and verify it works with "make check-plist"?  You can just say you checked it and it passed.
Comment 7 Yasuhiro Kimura freebsd_committer 2014-11-03 08:13:18 UTC
(In reply to John Marino from comment #6)
> Thanks, much better.
> 
> this line isn't needed:
> ${GZIP_CMD} ${STAGEDIR}${MAN8PREFIX}/man/man8/$i
> 
> If the man page is uncompressed, the framework will compress it for you.
> Can you remove it and verify it works with "make check-plist"?  You can just
> say you checked it and it passed.

Thank you for comment. I removed the line and tried 'make stage check-plist'. It passed without any error.
Comment 8 John Marino freebsd_committer 2014-11-03 08:30:35 UTC
Thanks, just update the patch again and I'll promote this PR.
Comment 9 Yasuhiro Kimura freebsd_committer 2014-11-03 08:38:01 UTC
Created attachment 148985 [details]
Updated patch.

Patch is updated to remove unnecessary line pointed out by comment. So please commit updated patch instead of previous ones.

Regards.
Comment 10 John Marino freebsd_committer 2014-11-03 08:40:12 UTC
Thanks, I'm promoting this to patch-ready pool as promised.
Comment 11 commit-hook freebsd_committer 2014-11-06 10:51:20 UTC
A commit references this bug:

Author: robak
Date: Thu Nov  6 10:50:36 UTC 2014
New revision: 372219
URL: https://svnweb.freebsd.org/changeset/ports/372219

Log:
  security/logcheck: update 1.3.16 -> 1.3.17

  PR:		194373
  Submitted by:	Yasuhiro Kimura <yasu@utahime.org>
  Approved by:	mentors (implicit)

Changes:
  head/security/logcheck/Makefile
  head/security/logcheck/distinfo
  head/security/logcheck/files/extra-patch-src__logcheck.in
  head/security/logcheck/pkg-plist
Comment 12 Bartek Rutkowski freebsd_committer 2014-11-06 10:52:55 UTC
Committed, thanks for your work!